Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry
Class UnexpectedObjectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.registry.JAXRException
                  javax.xml.registry.UnexpectedObjectException

All Implemented Interfaces:
  JAXRResponse, java.io.Serializable

public class UnexpectedObjectException
extends JAXRException

This exception is thrown when the JAXR provider finds a Object that is out-of-place or of the wrong type within the context of a user request. For example a saveOrganizations request in BusinessLifeCycleManager would throw this Exception if it found an Object other than Organization in the Collection of Objects provided by client to be saved by the request.

Author:
  Farrukh S. Najmi
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.xml.registry.JAXRException
`cause`

Fields inherited from interface javax.xml.registry.JAXRResponse
`STATUS_FAILURE, STATUS_SUCCESS, STATUS_UNAVAILABLE, STATUS_WARNING`

Constructor Summary
`UnexpectedObjectException()` Constructs a `JAXRException` object with no reason or embedded Throwable.
`UnexpectedObjectException(java.lang.String reason)` Constructs a `JAXRException` object with the given `String` as the reason for the exception being thrown.
`UnexpectedObjectException(java.lang.String reason, java.lang.Throwable cause)` Constructs a `JAXRException` object with the given `String` as the reason for the exception being thrown and the given `Throwable` object as an embedded Throwable.
`UnexpectedObjectException(java.lang.Throwable cause)` Constructs a `JAXRException` object initialized with the given `Throwable` object.

Methods inherited from class javax.xml.registry.JAXRException
`getCause, getMessage, getRequestId, getStatus, initCause, isAvailable`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnexpectedObjectException

    public UnexpectedObjectException()

  Constructs a `JAXRException` object with no reason or embedded Throwable.

### UnexpectedObjectException

    public UnexpectedObjectException(java.lang.String reason)

  Constructs a `JAXRException` object with the given `String` as the reason for the exception being thrown.

Parameters:
  `reason` - a description of what caused the exception

### UnexpectedObjectException

    public UnexpectedObjectException(java.lang.String reason,
                                     java.lang.Throwable cause)

  Constructs a `JAXRException` object with the given `String` as the reason for the exception being thrown and the given `Throwable` object as an embedded Throwable.

Parameters:
  `reason` - a description of what caused the exception
  `cause` - a `Throwable` object that is to be embedded in this `JAXRException` object

### UnexpectedObjectException

    public UnexpectedObjectException(java.lang.Throwable cause)

  Constructs a `JAXRException` object initialized with the given `Throwable` object.

Parameters:
  `cause` - the Throwable that caused this Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.